# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl


%define name    klicker
%define version 1.03
%define release 1.2006mcnl
%define summary metronome application
%define section Multimedia/Sound

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://www.duskglow.com/software.html
License:        GPL
Group:          Sound
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:  libqt3-devel libkdebase4-devel

%description
Klicker is a KDE Metronome program
A program used to mark time by means of regularly recurring 
ticks or flashes at adjustable intervals.

%prep
rm -rf %{buildroot}
%setup -q

%build
 
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%name" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README TODO COPYING AUTHORS ChangeLog
%{_bindir}/klicker
%{_datadir}/applnk/Utilities/klicker.desktop
%{_datadir}/apps/klicker/klickerui.rc
%{_datadir}/doc/HTML/en/klicker/*
%_menudir/klicker
%_iconsdir/hicolor/16x16/apps/klicker.png
%_iconsdir/hicolor/32x32/apps/klicker.png
%_iconsdir/crystalsvg/16x16/apps/klicker.png
%_iconsdir/crystalsvg/32x32/apps/klicker.png

%changelog 
*Wed Jan 4 2006 Marco Meijer <marco@mandrivaclub.nl> 1.03-1.2006mcnl
first version for mandrivaclub.nl


